diff --git a/src/network/networkd-network.c b/src/network/networkd-network.c
index ec6fe6da7a..c2095d66f4 100644
--- a/src/network/networkd-network.c
+++ b/src/network/networkd-network.c
@@ -346,7 +346,7 @@ int network_load_one(Manager *manager, const char *filename) {
                 .dhcp_use_dns = true,
                 .dhcp_use_hostname = true,
                 .dhcp_use_routes = true,
-                /* NOTE: this var might be overwriten by network_apply_anonymize_if_set */
+                /* NOTE: this var might be overwritten by network_apply_anonymize_if_set */
                 .dhcp_send_hostname = true,
                 /* To enable/disable RFC7844 Anonymity Profiles */
                 .dhcp_anonymize = false,
@@ -862,7 +862,7 @@ int config_parse_dhcp(
         if (s < 0) {
 
                 /* Previously, we had a slightly different enum here,
-                 * support its values for compatbility. */
+                 * support its values for compatibility. */
 
                 if (streq(rvalue, "none"))
                         s = ADDRESS_FAMILY_NO;
diff --git a/src/network/networkd-util.c b/src/network/networkd-util.c
index a392aadd4c..a088d25981 100644
--- a/src/network/networkd-util.c
+++ b/src/network/networkd-util.c
@@ -62,7 +62,7 @@ int config_parse_address_family_boolean_with_kernel(
 
         /* This function is mostly obsolete now. It simply redirects
          * "kernel" to "no". In older networkd versions we used to
-         * distuingish IPForward=off from IPForward=kernel, where the
+         * distinguish IPForward=off from IPForward=kernel, where the
          * former would explicitly turn off forwarding while the
          * latter would simply not touch the setting. But that logic
          * is gone, hence silently accept the old setting, but turn it
@@ -84,7 +84,7 @@ int config_parse_address_family_boolean_with_kernel(
 }
 
 /* Router lifetime can be set with netlink interface since kernel >= 4.5
- * so for the supported kernel we dont need to expire routes in userspace */
+ * so for the supported kernel we don't need to expire routes in userspace */
 int kernel_route_expiration_supported(void) {
         static int cached = -1;
         int r;
diff --git a/src/network/networkd-util.h b/src/network/networkd-util.h
index a49e289351..9c472cfd50 100644
--- a/src/network/networkd-util.h
+++ b/src/network/networkd-util.h
@@ -35,7 +35,7 @@ DEFINE_TRIVIAL_CLEANUP_FUNC(NetworkConfigSection*, network_config_section_free);
 extern const struct hash_ops network_config_hash_ops;
 
 static inline bool section_is_invalid(NetworkConfigSection *section) {
-        /* If this retuns false, then it does _not_ mean the section is valid. */
+        /* If this returns false, then it does _not_ mean the section is valid. */
 
         if (!section)
                 return false;
diff --git a/src/notify/notify.c b/src/notify/notify.c
index fff5233b0c..f50a322ea5 100644
--- a/src/notify/notify.c
+++ b/src/notify/notify.c
@@ -192,7 +192,7 @@ static int run(int argc, char* argv[]) {
         if (!n)
                 return log_oom();
 
-        /* If this is requested change to the requested UID/GID. Note thta we only change the real UID here, and leave
+        /* If this is requested change to the requested UID/GID. Note that we only change the real UID here, and leave
            the effective UID in effect (which is 0 for this to work). That's because we want the privileges to fake the
            ucred data, and sd_pid_notify() uses the real UID for filling in ucred. */
 
diff --git a/src/nspawn/nspawn-cgroup.c b/src/nspawn/nspawn-cgroup.c
index 168125d311..ec62b64b00 100644
--- a/src/nspawn/nspawn-cgroup.c
+++ b/src/nspawn/nspawn-cgroup.c
@@ -161,7 +161,7 @@ int create_subcgroup(pid_t pid, bool keep_unit, CGroupUnified unified_requested)
          * attributes. Hence, let's insert an intermediary cgroup to cover that case too.
          *
          * Note that we only bother with the main hierarchy here, not with any secondary ones. On the unified setup
-         * that's fine because there's only one hiearchy anyway and controllers are enabled directly on it. On the
+         * that's fine because there's only one hierarchy anyway and controllers are enabled directly on it. On the
          * legacy setup, this is fine too, since delegation of controllers is generally not safe there, hence we won't
          * do it. */
 
diff --git a/src/nspawn/nspawn-oci.c b/src/nspawn/nspawn-oci.c
index db8e4d3b78..9f196635f9 100644
--- a/src/nspawn/nspawn-oci.c
+++ b/src/nspawn/nspawn-oci.c
@@ -58,6 +58,7 @@
  * /bin/mount regarding NFS and FUSE required?
  * what does terminal=false mean?
  * sysctl inside or outside? whitelisting?
+ * swapiness typo -> swappiness
  *
  * Unsupported:
  *
diff --git a/src/nspawn/nspawn-patch-uid.c b/src/nspawn/nspawn-patch-uid.c
index c2b779c1d1..4885744cfc 100644
--- a/src/nspawn/nspawn-patch-uid.c
+++ b/src/nspawn/nspawn-patch-uid.c
@@ -103,7 +103,7 @@ static int shift_acl(acl_t acl, uid_t shift, acl_t *ret) {
 
                 if (IN_SET(tag, ACL_USER, ACL_GROUP)) {
 
-                        /* We don't distuingish here between uid_t and gid_t, let's make sure the compiler checks that
+                        /* We don't distinguish here between uid_t and gid_t, let's make sure the compiler checks that
                          * this is actually OK */
                         assert_cc(sizeof(uid_t) == sizeof(gid_t));
 
diff --git a/src/nspawn/nspawn.c b/src/nspawn/nspawn.c
index 0f64aa68f3..27829431ac 100644
--- a/src/nspawn/nspawn.c
+++ b/src/nspawn/nspawn.c
@@ -1495,7 +1495,7 @@ static int verify_arguments(void) {
 
         /* We don't support --private-users-chown together with any of the volatile modes since we couldn't
          * change the read-only part of the tree (i.e. /usr) anyway, or because it would trigger a massive
-         * copy-up (in case of overlay) making the entire excercise pointless. */
+         * copy-up (in case of overlay) making the entire exercise pointless. */
         if (arg_userns_chown && arg_volatile_mode != VOLATILE_NO)
                 return log_error_errno(SYNTHETIC_ERRNO(EINVAL), "--volatile= and --private-users-chown may not be combined.");
 
@@ -3293,7 +3293,7 @@ static int outer_child(
 
         /* Mark everything as shared so our mounts get propagated down. This is
          * required to make new bind mounts available in systemd services
-         * inside the containter that create a new mount namespace.
+         * inside the container that create a new mount namespace.
          * See https://github.com/systemd/systemd/issues/3860
          * Further submounts (such as /dev) done after this will inherit the
          * shared propagation mode. */
@@ -3715,7 +3715,7 @@ static int merge_settings(Settings *settings, const char *path) {
                 /* Copy the full capabilities over too */
                 if (capability_quintet_is_set(&settings->full_capabilities)) {
                         if (!arg_settings_trusted)
-                                log_warning("Ignoring capabilitiy settings, file %s is not trusted.", path);
+                                log_warning("Ignoring capability settings, file %s is not trusted.", path);
                         else
                                 arg_full_capabilities = settings->full_capabilities;
                 }
diff --git a/src/nss-resolve/nss-resolve.c b/src/nss-resolve/nss-resolve.c
index ac5fff523b..95f80572bd 100644
--- a/src/nss-resolve/nss-resolve.c
+++ b/src/nss-resolve/nss-resolve.c
@@ -169,7 +169,7 @@ enum nss_status _nss_resolve_gethostbyname4_r(
                 /* Return NSS_STATUS_UNAVAIL when communication with systemd-resolved fails,
                    allowing falling back to other nss modules. Treat all other error conditions as
                    NOTFOUND. This includes DNSSEC errors and suchlike. (We don't use UNAVAIL in this
-                   case so that the nsswitch.conf configuration can distuingish such executed but
+                   case so that the nsswitch.conf configuration can distinguish such executed but
                    negative replies from complete failure to talk to resolved). */
                 goto fail;
         }
diff --git a/src/portable/portable.c b/src/portable/portable.c
index 9b6cc21d2c..475c10e318 100644
--- a/src/portable/portable.c
+++ b/src/portable/portable.c
@@ -436,7 +436,7 @@ static int portable_extract_by_path(
                         if (r < 0)
                                 return log_debug_errno(r, "Failed to receive item: %m");
 
-                        /* We can't really distuingish a zero-length datagram without any fds from EOF (both are signalled the
+                        /* We can't really distinguish a zero-length datagram without any fds from EOF (both are signalled the
                          * same way by recvmsg()). Hence, accept either as end notification. */
                         if (isempty(name) && fd < 0)
                                 break;
diff --git a/src/resolve/resolvconf-compat.c b/src/resolve/resolvconf-compat.c
index 383d0b819b..d1f65056d0 100644
--- a/src/resolve/resolvconf-compat.c
+++ b/src/resolve/resolvconf-compat.c
@@ -172,7 +172,7 @@ int resolvconf_parse_argv(int argc, char *argv[]) {
                         log_debug("Switch -%c ignored.", c);
                         break;
 
-                /* Everybody else can agree on the existance of -u but we don't support it. */
+                /* Everybody else can agree on the existence of -u but we don't support it. */
                 case 'u':
 
                 /* The following options are openresolv inventions we don't support. */
diff --git a/src/resolve/resolved-dns-dnssec.c b/src/resolve/resolved-dns-dnssec.c
index a5ded5ada2..6e0979f87f 100644
--- a/src/resolve/resolved-dns-dnssec.c
+++ b/src/resolve/resolved-dns-dnssec.c
@@ -1109,7 +1109,7 @@ int dnssec_has_rrsig(DnsAnswer *a, const DnsResourceKey *key) {
         DnsResourceRecord *rr;
         int r;
 
-        /* Checks whether there's at least one RRSIG in 'a' that proctects RRs of the specified key */
+        /* Checks whether there's at least one RRSIG in 'a' that protects RRs of the specified key */
 
         DNS_ANSWER_FOREACH(rr, a) {
                 r = dnssec_key_match_rrsig(key, rr);
@@ -1988,7 +1988,7 @@ int dnssec_nsec_test(DnsAnswer *answer, DnsResourceKey *key, DnssecNsecResult *r
         if (have_nsec3)
                 return dnssec_test_nsec3(answer, key, result, authenticated, ttl);
 
-        /* No approproate NSEC RR found, report this. */
+        /* No appropriate NSEC RR found, report this. */
         *result = DNSSEC_NSEC_NO_RR;
         return 0;
 }
diff --git a/src/resolve/resolved-dns-packet.c b/src/resolve/resolved-dns-packet.c
index a4959cd7c0..20ee8c9ca3 100644
--- a/src/resolve/resolved-dns-packet.c
+++ b/src/resolve/resolved-dns-packet.c
@@ -1949,7 +1949,7 @@ int dns_packet_read_rr(DnsPacket *p, DnsResourceRecord **ret, bool *ret_cache_fl
         case DNS_TYPE_NSEC: {
 
                 /*
-                 * RFC6762, section 18.14 explictly states mDNS should use name compression.
+                 * RFC6762, section 18.14 explicitly states mDNS should use name compression.
                  * This contradicts RFC3845, section 2.1.1
                  */
 
diff --git a/src/resolve/resolved-dns-question.c b/src/resolve/resolved-dns-question.c
index 60cd34bcfc..62833efa0e 100644
--- a/src/resolve/resolved-dns-question.c
+++ b/src/resolve/resolved-dns-question.c
@@ -289,7 +289,7 @@ int dns_question_new_address(DnsQuestion **ret, int family, const char *name, bo
                 else
                         /* We did not manage to create convert the idna name, or it's
                          * the same as the original name. We assume the caller already
-                         * created an uncoverted question, so let's not repeat work
+                         * created an unconverted question, so let's not repeat work
                          * unnecessarily. */
                         return -EALREADY;
         }
diff --git a/src/resolve/resolved-dns-scope.c b/src/resolve/resolved-dns-scope.c
index 66dd2b1b5a..d0abf9c5ff 100644
--- a/src/resolve/resolved-dns-scope.c
+++ b/src/resolve/resolved-dns-scope.c
@@ -452,7 +452,7 @@ int dns_scope_socket_udp(DnsScope *s, DnsServer *server, uint16_t port) {
 }
 
 int dns_scope_socket_tcp(DnsScope *s, int family, const union in_addr_union *address, DnsServer *server, uint16_t port, union sockaddr_union *ret_socket_address) {
-        /* If ret_socket_address is not NULL, the caller is responisble
+        /* If ret_socket_address is not NULL, the caller is responsible
          * for calling connect() or sendmsg(). This is required by TCP
          * Fast Open, to be able to send the initial SYN packet along
          * with the first data packet. */
diff --git a/src/resolve/resolved-dns-server.c b/src/resolve/resolved-dns-server.c
index b85eb75273..8b08e20453 100644
--- a/src/resolve/resolved-dns-server.c
+++ b/src/resolve/resolved-dns-server.c
@@ -239,7 +239,7 @@ static void dns_server_reset_counters(DnsServer *s) {
          *
          * This is particularly important to deal with certain Belkin routers which break OPT for certain lookups (A),
          * but pass traffic through for others (AAAA). If we detect the broken behaviour on one lookup we should not
-         * reenable it for another, because we cannot validate things anyway, given that the RRSIG/OPT data will be
+         * re-enable it for another, because we cannot validate things anyway, given that the RRSIG/OPT data will be
          * incomplete. */
 }
 
@@ -879,7 +879,7 @@ void dns_server_unref_stream(DnsServer *s) {
 
         /* Detaches the default stream of this server. Some special care needs to be taken here, as that stream and
          * this server reference each other. First, take the stream out of the server. It's destructor will check if it
-         * is registered with us, hence let's invalidate this separatly, so that it is already unregistered. */
+         * is registered with us, hence let's invalidate this separately, so that it is already unregistered. */
         ref = TAKE_PTR(s->stream);
 
         /* And then, unref it */
diff --git a/src/resolve/resolved-dns-stream.c b/src/resolve/resolved-dns-stream.c
index cb7b186fc9..04ba1d91bc 100644
--- a/src/resolve/resolved-dns-stream.c
+++ b/src/resolve/resolved-dns-stream.c
@@ -61,7 +61,7 @@ static int dns_stream_complete(DnsStream *s, int error) {
         assert(error >= 0);
 
         /* Error is > 0 when the connection failed for some reason in the network stack. It's == 0 if we sent
-         * and receieved exactly one packet each (in the LLMNR client case). */
+         * and received exactly one packet each (in the LLMNR client case). */
 
 #if ENABLE_DNS_OVER_TLS
         if (s->encrypted) {
diff --git a/src/resolve/resolved-dns-transaction.c b/src/resolve/resolved-dns-transaction.c
index 9cac91f536..85c33cf2ca 100644
--- a/src/resolve/resolved-dns-transaction.c
+++ b/src/resolve/resolved-dns-transaction.c
@@ -734,7 +734,7 @@ static int dns_transaction_dnssec_ready(DnsTransaction *t) {
                         }
 
                         /* Fall-through: NXDOMAIN/SERVFAIL is good enough for us. This is because some DNS servers
-                         * erronously return NXDOMAIN/SERVFAIL for empty non-terminals (Akamai...) or missing DS
+                         * erroneously return NXDOMAIN/SERVFAIL for empty non-terminals (Akamai...) or missing DS
                          * records (Facebook), and we need to handle that nicely, when asking for parent SOA or similar
                          * RRs to make unsigned proofs. */
 
@@ -1502,7 +1502,7 @@ static int dns_transaction_make_packet_mdns(DnsTransaction *t) {
         /*
          * For mDNS, we want to coalesce as many open queries in pending transactions into one single
          * query packet on the wire as possible. To achieve that, we iterate through all pending transactions
-         * in our current scope, and see whether their timing contraints allow them to be sent.
+         * in our current scope, and see whether their timing constraints allow them to be sent.
          */
 
         assert_se(sd_event_now(t->scope->manager->event, clock_boottime_or_monotonic(), &ts) >= 0);
@@ -2026,7 +2026,7 @@ int dns_transaction_request_dnssec_keys(DnsTransaction *t) {
         if (t->answer_source != DNS_TRANSACTION_NETWORK)
                 return 0; /* We only need to validate stuff from the network */
         if (!dns_transaction_dnssec_supported(t))
-                return 0; /* If we can't do DNSSEC anyway there's no point in geting the auxiliary RRs */
+                return 0; /* If we can't do DNSSEC anyway there's no point in getting the auxiliary RRs */
 
         DNS_ANSWER_FOREACH(rr, t->answer) {
 
@@ -2066,7 +2066,7 @@ int dns_transaction_request_dnssec_keys(DnsTransaction *t) {
                          * RRs for stuff we didn't really ask for, and
                          * also to avoid request loops, where
                          * additional RRs from one transaction result
-                         * in another transaction whose additonal RRs
+                         * in another transaction whose additional RRs
                          * point back to the original transaction, and
                          * we deadlock. */
                         r = dns_name_endswith(dns_resource_key_name(t->key), rr->rrsig.signer);
diff --git a/src/resolve/resolved-dns-trust-anchor.c b/src/resolve/resolved-dns-trust-anchor.c
index d25b5f9d95..3e4cc331d9 100644
--- a/src/resolve/resolved-dns-trust-anchor.c
+++ b/src/resolve/resolved-dns-trust-anchor.c
@@ -222,7 +222,7 @@ static int dns_trust_anchor_load_positive(DnsTrustAnchor *d, const char *path, u
 
         r = dns_name_is_valid(domain);
         if (r < 0)
-                return log_warning_errno(r, "Failed to chack validity of domain name '%s', at line %s:%u, ignoring line: %m", domain, path, line);
+                return log_warning_errno(r, "Failed to check validity of domain name '%s', at line %s:%u, ignoring line: %m", domain, path, line);
         if (r == 0) {
                 log_warning("Domain name %s is invalid, at line %s:%u, ignoring line.", domain, path, line);
                 return -EINVAL;
@@ -392,7 +392,7 @@ static int dns_trust_anchor_load_negative(DnsTrustAnchor *d, const char *path, u
 
         r = dns_name_is_valid(domain);
         if (r < 0)
-                return log_warning_errno(r, "Failed to chack validity of domain name '%s', at line %s:%u, ignoring line: %m", domain, path, line);
+                return log_warning_errno(r, "Failed to check validity of domain name '%s', at line %s:%u, ignoring line: %m", domain, path, line);
         if (r == 0) {
                 log_warning("Domain name %s is invalid, at line %s:%u, ignoring line.", domain, path, line);
                 return -EINVAL;
diff --git a/src/resolve/resolved-dns-zone.c b/src/resolve/resolved-dns-zone.c
index c2d9f3d33d..d5cc2767d7 100644
--- a/src/resolve/resolved-dns-zone.c
+++ b/src/resolve/resolved-dns-zone.c
@@ -257,7 +257,7 @@ int dns_zone_put(DnsZone *z, DnsScope *s, DnsResourceRecord *rr, bool probe) {
 
                 /* Check if there's already an RR with the same name
                  * established. If so, it has been probed already, and
-                 * we don't ned to probe again. */
+                 * we don't need to probe again. */
 
                 LIST_FIND_HEAD(by_name, i, first);
                 LIST_FOREACH(by_name, j, first) {
diff --git a/src/resolve/resolved-dnstls-gnutls.c b/src/resolve/resolved-dnstls-gnutls.c
index ddf9758bb3..4da5121e62 100644
--- a/src/resolve/resolved-dnstls-gnutls.c
+++ b/src/resolve/resolved-dnstls-gnutls.c
@@ -120,7 +120,7 @@ int dnstls_stream_shutdown(DnsStream *stream, int error) {
         assert(stream->encrypted);
         assert(stream->dnstls_data.session);
 
-        /* Store TLS Ticket for faster succesive TLS handshakes */
+        /* Store TLS Ticket for faster successive TLS handshakes */
         if (stream->server && stream->server->dnstls_data.session_data.size == 0 && stream->dnstls_data.handshake == GNUTLS_E_SUCCESS)
                 gnutls_session_get_data2(stream->dnstls_data.session, &stream->server->dnstls_data.session_data);
 
diff --git a/src/shared/bootspec.c b/src/shared/bootspec.c
index 9a0dc29153..969ae7f028 100644
--- a/src/shared/bootspec.c
+++ b/src/shared/bootspec.c
@@ -1077,12 +1077,12 @@ static int verify_esp(
          *
          *  -ENOENT        → if 'searching' is set, and the dir doesn't exist
          *  -EADDRNOTAVAIL → if 'searching' is set, and the dir doesn't look like an ESP
-         *  -EACESS        → if 'unprivileged_mode' is set, and we have trouble acessing the thing
+         *  -EACESS        → if 'unprivileged_mode' is set, and we have trouble accessing the thing
          */
 
         relax_checks = getenv_bool("SYSTEMD_RELAX_ESP_CHECKS") > 0;
 
-        /* Non-root user can only check the status, so if an error occured in the following, it does not cause any
+        /* Non-root user can only check the status, so if an error occurred in the following, it does not cause any
          * issues. Let's also, silence the error messages. */
 
         if (!relax_checks) {
diff --git a/src/shared/dissect-image.c b/src/shared/dissect-image.c
index ce210bfd43..699a1616a4 100644
--- a/src/shared/dissect-image.c
+++ b/src/shared/dissect-image.c
@@ -47,7 +47,7 @@
 
 int probe_filesystem(const char *node, char **ret_fstype) {
         /* Try to find device content type and return it in *ret_fstype. If nothing is found,
-         * 0/NULL will be returned. -EUCLEAN will be returned for ambigous results, and an
+         * 0/NULL will be returned. -EUCLEAN will be returned for ambiguous results, and an
          * different error otherwise. */
 
 #if HAVE_BLKID
diff --git a/src/shared/dissect-image.h b/src/shared/dissect-image.h
index ded43f331a..40b8035ac7 100644
--- a/src/shared/dissect-image.h
+++ b/src/shared/dissect-image.h
@@ -57,7 +57,7 @@ typedef enum DissectImageFlags {
         DISSECT_IMAGE_REQUIRE_ROOT        = 1 << 5,  /* Don't accept disks without root partition */
         DISSECT_IMAGE_MOUNT_ROOT_ONLY     = 1 << 6,  /* Mount only the root partition */
         DISSECT_IMAGE_MOUNT_NON_ROOT_ONLY = 1 << 7,  /* Mount only non-root partitions */
-        DISSECT_IMAGE_VALIDATE_OS         = 1 << 8,  /* Refuse mounting images that aren't identifyable as OS images */
+        DISSECT_IMAGE_VALIDATE_OS         = 1 << 8,  /* Refuse mounting images that aren't identifiable as OS images */
         DISSECT_IMAGE_NO_UDEV             = 1 << 9,  /* Don't wait for udev initializing things */
 } DissectImageFlags;
 
diff --git a/src/shared/exec-util.c b/src/shared/exec-util.c
index 2867f08a7a..add7fe4c14 100644
--- a/src/shared/exec-util.c
+++ b/src/shared/exec-util.c
@@ -105,7 +105,7 @@ static int do_execute(
                         return log_oom();
         }
 
-        /* Abort execution of this process after the timout. We simply rely on SIGALRM as
+        /* Abort execution of this process after the timeout. We simply rely on SIGALRM as
          * default action terminating the process, and turn on alarm(). */
 
         if (timeout != USEC_INFINITY)
diff --git a/src/shared/format-table.c b/src/shared/format-table.c
index a5c0a99b08..cba325184d 100644
--- a/src/shared/format-table.c
+++ b/src/shared/format-table.c
@@ -846,7 +846,7 @@ static int cell_data_compare(TableData *a, size_t index_a, TableData *b, size_t
                 }
         }
 
-        /* Generic fallback using the orginal order in which the cells where added. */
+        /* Generic fallback using the original order in which the cells where added. */
         return CMP(index_a, index_b);
 }
 
diff --git a/src/shared/fstab-util.c b/src/shared/fstab-util.c
index 118d591c09..135b01f282 100644
--- a/src/shared/fstab-util.c
+++ b/src/shared/fstab-util.c
@@ -121,7 +121,7 @@ int fstab_filter_options(const char *opts, const char *names,
                         t++;
                         continue;
                 found:
-                        /* Keep the last occurence found */
+                        /* Keep the last occurrence found */
                         n = name;
                         if (value) {
                                 free(v);
diff --git a/src/shared/install.c b/src/shared/install.c
index ca52d17e4f..5391ac702b 100644
--- a/src/shared/install.c
+++ b/src/shared/install.c
@@ -888,7 +888,7 @@ static int find_symlinks_in_scope(
 
         /* As we iterate over the list of search paths in paths->search_path, we may encounter "same name"
          * symlinks. The ones which are "below" (i.e. have lower priority) than the unit file itself are
-         * efectively masked, so we should ignore them. */
+         * effectively masked, so we should ignore them. */
 
         STRV_FOREACH(p, paths->search_path)  {
                 bool same_name_link = false;
@@ -2946,7 +2946,7 @@ static int pattern_match_multiple_instances(
         int r;
 
         /* If no ret is needed or the rule itself does not have instances
-         * initalized, we return not matching */
+         * initialized, we return not matching */
         if (!ret || !rule.instances)
                 return 0;
 
diff --git a/src/shared/journal-util.c b/src/shared/journal-util.c
index 89b76af5b3..2f672c2935 100644
--- a/src/shared/journal-util.c
+++ b/src/shared/journal-util.c
@@ -50,7 +50,7 @@ static int access_check_var_log_journal(sd_journal *j, bool want_other_users) {
         if (!strv_isempty(g)) {
                 _cleanup_free_ char *s = NULL;
 
-                /* Thre are groups in the ACL, let's list them */
+                /* There are groups in the ACL, let's list them */
                 r = strv_extend(&g, "systemd-journal");
                 if (r < 0)
                         return log_oom();
diff --git a/src/shared/json.h b/src/shared/json.h
index e5532c506e..6790e0c1f5 100644
--- a/src/shared/json.h
+++ b/src/shared/json.h
@@ -12,7 +12,7 @@
 
 /*
   In case you wonder why we have our own JSON implementation, here are a couple of reasons why this implementation has
-  benefits over various other implementatins:
+  benefits over various other implementations:
 
   - We need support for 64bit signed and unsigned integers, i.e. the full 64,5bit range of -9223372036854775808…18446744073709551615
   - All our variants are immutable after creation
@@ -209,7 +209,7 @@ int json_buildv(JsonVariant **ret, va_list ap);
 typedef enum JsonDispatchFlags {
         /* The following three may be set in JsonDispatch's .flags field or the json_dispatch() flags parameter  */
         JSON_PERMISSIVE = 1 << 0, /* Shall parsing errors be considered fatal for this property? */
-        JSON_MANDATORY  = 1 << 1, /* Should existance of this property be mandatory? */
+        JSON_MANDATORY  = 1 << 1, /* Should existence of this property be mandatory? */
         JSON_LOG        = 1 << 2, /* Should the parser log about errors? */
 
         /* The following two may be passed into log_json() in addition to the three above */
diff --git a/src/shared/main-func.h b/src/shared/main-func.h
index 1b77316d82..6c26cb9fb5 100644
--- a/src/shared/main-func.h
+++ b/src/shared/main-func.h
@@ -30,7 +30,7 @@
         _DEFINE_MAIN_FUNCTION(,impl(argc, argv), r < 0 ? EXIT_FAILURE : EXIT_SUCCESS)
 
 /* Zero is mapped to EXIT_SUCCESS, negative values are mapped to EXIT_FAILURE,
- * and postive values are propagated.
+ * and positive values are propagated.
  * Note: "true" means failure! */
 #define DEFINE_MAIN_FUNCTION_WITH_POSITIVE_FAILURE(impl)                \
         _DEFINE_MAIN_FUNCTION(,impl(argc, argv), r < 0 ? EXIT_FAILURE : r)
diff --git a/src/shared/mount-util.c b/src/shared/mount-util.c
index 9987b6f80c..68f9e66b2c 100644
--- a/src/shared/mount-util.c
+++ b/src/shared/mount-util.c
@@ -521,7 +521,7 @@ int mount_option_mangle(
          * See more examples in test-mount-utils.c.
          *
          * Note that if 'options' does not contain any non-mount-flag options,
-         * then '*ret_remaining_options' is set to NULL instread of empty string.
+         * then '*ret_remaining_options' is set to NULL instead of empty string.
          * Note that this does not check validity of options stored in
          * '*ret_remaining_options'.
          * Note that if 'options' is NULL, then this just copies 'mount_flags'
diff --git a/src/shared/nscd-flush.c b/src/shared/nscd-flush.c
index 5a04468d2c..33a06a010c 100644
--- a/src/shared/nscd-flush.c
+++ b/src/shared/nscd-flush.c
@@ -51,7 +51,7 @@ static int nscd_flush_cache_one(const char *database, usec_t end) {
         /* Note: connect() returns EINPROGRESS if O_NONBLOCK is set and establishing a connection takes time. The
          * kernel lets us know this way that the connection is now being established, and we should watch with poll()
          * to learn when it is fully established. That said, AF_UNIX on Linux never triggers this IRL (connect() is
-         * always instant on AF_UNIX), hence handling this is mostly just an excercise in defensive, protocol-agnostic
+         * always instant on AF_UNIX), hence handling this is mostly just an exercise in defensive, protocol-agnostic
          * programming.
          *
          * connect() returns EAGAIN if the socket's backlog limit has been reached. When we see this we give up right
@@ -113,7 +113,7 @@ static int nscd_flush_cache_one(const char *database, usec_t end) {
 
                 if (has_written >= req_size && has_read >= sizeof(resp)) { /* done? */
                         if (resp < 0)
-                                return log_debug_errno(SYNTHETIC_ERRNO(EBADMSG), "nscd sent us a negative error numer: %i", resp);
+                                return log_debug_errno(SYNTHETIC_ERRNO(EBADMSG), "nscd sent us a negative error number: %i", resp);
                         if (resp > 0)
                                 return log_debug_errno(resp, "nscd return failure code on invalidating '%s'.", database);
                         return 1;
diff --git a/src/shared/os-util.c b/src/shared/os-util.c
index b2d5ce32e7..2191a610ae 100644
--- a/src/shared/os-util.c
+++ b/src/shared/os-util.c
@@ -15,7 +15,7 @@ int path_is_os_tree(const char *path) {
         assert(path);
 
         /* Does the path exist at all? If not, generate an error immediately. This is useful so that a missing root dir
-         * always results in -ENOENT, and we can properly distuingish the case where the whole root doesn't exist from
+         * always results in -ENOENT, and we can properly distinguish the case where the whole root doesn't exist from
          * the case where just the os-release file is missing. */
         if (laccess(path, F_OK) < 0)
                 return -errno;
diff --git a/src/shutdown/shutdown.c b/src/shutdown/shutdown.c
index 842ba57f13..6e802ec3cc 100644
--- a/src/shutdown/shutdown.c
+++ b/src/shutdown/shutdown.c
@@ -218,7 +218,7 @@ static void sync_with_progress(void) {
 
         BLOCK_SIGNALS(SIGCHLD);
 
-        /* Due to the possiblity of the sync operation hanging, we fork a child process and monitor the progress. If
+        /* Due to the possibility of the sync operation hanging, we fork a child process and monitor the progress. If
          * the timeout lapses, the assumption is that that particular sync stalled. */
 
         r = asynchronous_sync(&pid);
